edu.sc.seis.sod.subsetter

## Class VelocityFileElementParser

- java.lang.Object
- - edu.sc.seis.sod.subsetter.VelocityFileElementParser

-     public class VelocityFileElementParser
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityFileElementParser(org.w3c.dom.Element config, java.lang.String defaultWorkingDir, java.lang.String defaultLocation)` Uses the contents of the workingDir element in config as workingDir, or if it doesn't exist, uses defaultWorkingDir Uses the contents of the location element in config as location, or if it doesn't exist, uses defaultLocation
    `VelocityFileElementParser(java.lang.String workingDir, java.lang.String location)` Takes a workingDir and location and ensures that workingDir ends with or location starts with File.separator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getTemplate()`
    `java.lang.String` | `getWorkingDir()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityFileElementParser

          public VelocityFileElementParser(org.w3c.dom.Element config,
                                           java.lang.String defaultWorkingDir,
                                           java.lang.String defaultLocation)

      Uses the contents of the workingDir element in config as workingDir, or if it doesn't exist, uses defaultWorkingDir Uses the contents of the location element in config as location, or if it doesn't exist, uses defaultLocation

    - #### VelocityFileElementParser

          public VelocityFileElementParser(java.lang.String workingDir,
                                           java.lang.String location)

      Takes a workingDir and location and ensures that workingDir ends with or location starts with File.separator

  - ### Method Detail

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### getWorkingDir

          public java.lang.String getWorkingDir()

    - #### getLocation

          public java.lang.String getLocation()